{{- define "main" -}}
<article id='entry'>
	<header>
		{{- with .Title -}}
			<h1>{{- . -}}</h1>
		{{- end -}}
		<div class='sub'>
			<time datetime='{{- .Lastmod | plainify -}}'>
				Last update: {{- (.Lastmod | default .Date).Format .Site.Data.General.Time.Format.full -}}
			</time> | 
			<span class='readingTime'>
				Estimate: {{ partial "toGetReadinTm" . }} min
			</span>
			{{- partial "single_topics.html" .Params -}}
		</div>
		{{- partial "single_series.html" .Params -}}
	</header>
	<section id='body'>
		{{- .Content -}}
	</section>
	<footer>
		{{- partial "single_tags.html" .Params -}}
		{{ if eq .Page.Type "entries" }}
			{{- partialCached "single_sharing.html" . -}}
		{{ end }}
	</footer>
</article>
{{- $printAdv := (.Params.adv | default .Site.Params.adv) -}}
{{- if eq $printAdv true -}}
	<section id=adv>
		<!-- TODO inser adv placeholder to here -->
		<!-- .mobile for adv mobile -->
		<!-- .desktop for adv desktop -->
	</section>
{{- end -}}
{{- partial "cmtThread" . -}}
{{- end -}}